graphics/libheif - The NetBSD Packages Collection

HEIF and AVIF file format decoder and encoder library

libheif is an ISO/IEC 23008-12:2017 HEIF and AVIF (AV1 Image File
Format) file format decoder and encoder.

HEIF and AVIF are new image file formats employing HEVC (h.265) or
AV1 image coding, respectively, for the best compression ratios
currently possible.

libheif makes use of libde265 for HEIF image decoding and x265 for
encoding.  For AVIF, libaom is used as encoder and decoder.
Alternative codecs for, e.g., AVC and JPEG can be provided as
plugins.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

graphics/jpeg graphics/png multimedia/libaom multimedia/libde265 multimedia/x265 graphics/jpeg graphics/png

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibheif-1.9.1nb1.tgz
NetBSD 8.0earmv7hflibheif-1.8.0.tgz
NetBSD 8.0earmv7hflibheif-1.11.0.tgz
NetBSD 8.0i386libheif-1.8.0.tgz
NetBSD 8.0i386libheif-1.9.1nb1.tgz
NetBSD 8.0i386libheif-1.11.0.tgz
NetBSD 8.0powerpclibheif-1.8.0.tgz
NetBSD 8.0powerpclibheif-1.9.1nb1.tgz
NetBSD 8.0powerpclibheif-1.9.1nb1.tgz
NetBSD 8.0x86_64libheif-1.11.0.tgz
NetBSD 8.0x86_64libheif-1.8.0.tgz
NetBSD 8.0x86_64libheif-1.9.1nb1.tgz
NetBSD 9.0aarch64libheif-1.11.0.tgz
NetBSD 9.0aarch64libheif-1.8.0.tgz
NetBSD 9.0aarch64libheif-1.9.1nb1.tgz
NetBSD 9.0alphalibheif-1.11.0.tgz
NetBSD 9.0alphalibheif-1.8.0.tgz
NetBSD 9.0alphalibheif-1.9.1nb1.tgz
NetBSD 9.0earmlibheif-1.8.0.tgz
NetBSD 9.0earmlibheif-1.9.1nb1.tgz
NetBSD 9.0earmlibheif-1.11.0.tgz
NetBSD 9.0earmv6hflibheif-1.11.0.tgz
NetBSD 9.0earmv6hflibheif-1.8.0.tgz
NetBSD 9.0earmv6hflibheif-1.9.1nb1.tgz
NetBSD 9.0earmv6hflibheif-1.9.1nb1.tgz
NetBSD 9.0earmv7hflibheif-1.11.0.tgz
NetBSD 9.0earmv7hflibheif-1.8.0.tgz
NetBSD 9.0earmv7hflibheif-1.9.1nb1.tgz
NetBSD 9.0earmv7hflibheif-1.9.1nb1.tgz
NetBSD 9.0i386libheif-1.8.0.tgz
NetBSD 9.0i386libheif-1.9.1nb1.tgz
NetBSD 9.0i386libheif-1.11.0.tgz
NetBSD 9.0m68klibheif-1.8.0.tgz
NetBSD 9.0m68klibheif-1.9.1nb1.tgz
NetBSD 9.0powerpclibheif-1.9.1nb1.tgz
NetBSD 9.0powerpclibheif-1.8.0.tgz
NetBSD 9.0sh3ellibheif-1.8.0.tgz
NetBSD 9.0sh3ellibheif-1.9.1nb1.tgz
NetBSD 9.0sh3ellibheif-1.11.0.tgz
NetBSD 9.0sparc64libheif-1.11.0.tgz
NetBSD 9.0sparc64libheif-1.8.0.tgz
NetBSD 9.0sparc64libheif-1.9.1nb1.tgz
NetBSD 9.0sparclibheif-1.11.0.tgz
NetBSD 9.0sparclibheif-1.8.0.tgz
NetBSD 9.0sparclibheif-1.9.1nb1.tgz
NetBSD 9.0x86_64libheif-1.9.1nb1.tgz
NetBSD 9.0x86_64libheif-1.9.1nb1.tgz
NetBSD 9.0x86_64libheif-1.11.0.tgz
NetBSD 9.0x86_64libheif-1.11.0.tgz
NetBSD 9.0x86_64libheif-1.8.0.tgz
NetBSD 9.0x86_64libheif-1.9.1nb1.tgz
NetBSD 9.0x86_64libheif-1.11.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.